-----------------------------------------------------------------------
--|> Pulse
--: Actions to be done on 'pulse' (1 second repeating timer)
-----------------------------------------------------------------------
local _, NS = ...
local GetFramerate = GetFramerate

local pulseTimeoutCount = 1
local pulseTargetCount = 1
local function PulseTimeoutUpdate()
  if pulseTimeoutCount == 2 then
    NS.ManageListTimeouts()
    pulseTimeoutCount = 1
  else
    pulseTimeoutCount = pulseTimeoutCount + 1
  end
  if pulseTargetCount == 5 then
    pulseTargetCount = 1
    NS.GetUnitData("target")
  else
    pulseTargetCount = pulseTargetCount + 1
  end
end

local pulseFpsCount = 1
local function PulseFpsUpdate()
  if pulseFpsCount == 5 then
    NS.Display.CurrentFPS = GetFramerate()
    pulseFpsCount = 1
  else
    pulseFpsCount = pulseFpsCount + 1
  end
end

--> Update pulsed functions
function NS.PulseEvent()
  PulseFpsUpdate()
  PulseTimeoutUpdate()
end
